#!/bin/bash



zmienna=()
wartosc=()
k=0
mkdir /tmp/Nowatel
for i in `cat /etc/nowatel/config.properties`
do
    echo $i > /tmp/Nowatel/temp.temp
    zmienna[k]=`awk -F '=' '{ print $1 }' /tmp/Nowatel/temp.temp`
    wartosc[k]=`awk -F '=' '{ print $2 }' /tmp/Nowatel/temp.temp`
    k=$((k+1))
done
echo "config zawiera $k linii"
TEXTDOMAINDIR=/usr/local/nowatel/scripts/locale
#TEXTDOMAINDIR=./locale
TEXTDOMAIN=$0
cp -f /etc/nowatel/config.properties /etc/nowatel/config.properties.old
#echo "" > /etc/nowatel/config.properties
rm -f /etc/nowatel/config.properties


i=0

while [ $i -le $k ]
do

    case "${zmienna[$i]}" in

        "%PODSTAWA")

        echo "${zmienna[$i]}=${wartosc[$i]}" >> /etc/nowatel/config.properties

        iloscLini=${wartosc[$i]}
        j=1

        while [ $j -le $iloscLini ]
        do
            if [ ${zmienna[$i+$j]} = "database.host" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Database server IP Address or name" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.host.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.host.temp`" >> /etc/nowatel/config.properties



            elif [ ${zmienna[$i+$j]} = "database.port" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Database server Port" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.port.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.port.temp`" >> /etc/nowatel/config.properties


            elif [ ${zmienna[$i+$j]} = "database.name" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Database name" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.name.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.name.temp`" >> /etc/nowatel/config.properties


            elif [ ${zmienna[$i+$j]} = "database.user" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Database user" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.user.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.user.temp`" >> /etc/nowatel/config.properties


            elif [ ${zmienna[$i+$j]} = "database.pass" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Database password" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.pass.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.pass.temp`" >> /etc/nowatel/config.properties


            elif [ ${zmienna[$i+$j]} = "database.panel.id" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Panel ID" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/database.panel.id.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/database.panel.id.temp`" >> /etc/nowatel/config.properties

	    elif [ ${zmienna[$i+$j]} = "default.user.login" ]
            then

                dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter default user login" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/default.user.login.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/default.user.login.temp`" >> /etc/nowatel/config.properties

	    elif [ ${zmienna[$i+$j]} = "default.user.password" ]
            then

            dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter default user password" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/default.user.password.temp

            echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/default.user.password.temp`" >> /etc/nowatel/config.properties

	    elif [ ${zmienna[$i+$j]} = "activeDirectoryEnabled" ]
            then

            dialog --title $"Database server" --backtitle $"OpenRDS system configuration" --yesno $"You like to use Active Directory?" 8 60
	    	response=$?
	    	
	    	if [ $response -eq 0 ]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=true" >> /etc/nowatel/config.properties
	    	
	    	elif [ $response -eq 1]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=false" >> /etc/nowatel/config.properties
	    	
	    	elif [ $response -eq 255]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=false" >> /etc/nowatel/config.properties
	    		
	    	fi	

	    elif [ ${zmienna[$i+$j]} = "restart.console.after.asterisk.disconnect" ]
            then

            dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter time to synchronized between servers" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/restart.console.after.asterisk.disconnect.temp

            echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/restart.console.after.asterisk.disconnect.temp`" >> /etc/nowatel/config.properties

		fi

            j=$((j+1))

        done

        i=$((i+iloscLini))

        ;;
        "%MAPSERVER")

        echo "${zmienna[$i]}=${wartosc[$i]}" >> /etc/nowatel/config.properties

        iloscLini=${wartosc[$i]}
        j=1

        while [ $j -le $iloscLini ]
        do

        if [ ${zmienna[$i+$j]} = "map.server.only.cache.tile" ]
            then

        	dialog --title $"Map server" --backtitle $"OpenRDS system configuration" --yesno $"You like to use only local cache?" 8 60
			response=$?
			
			if [ $response -eq 0 ]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=true" >> /etc/nowatel/config.properties
	    	
	    	elif [ $response -eq 1]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=false" >> /etc/nowatel/config.properties
	    	
	    	elif [ $response -eq 255]
	    		then
	    		
	    		echo "${zmienna[$i+$j]}=false" >> /etc/nowatel/config.properties
	    	
	    	fi	
	    
         elif [ ${zmienna[$i+$j]} = "map.server.tile" ]
            then

                dialog --ascii-lines --title $"Tile server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter Tile server IP Address or name (like: osm a.tile.openstreetmap.org" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/map.server.tile.temp

                echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/map.server.tile.temp`" >> /etc/nowatel/config.properties


         fi

            j=$((j+1))

        done

        i=$((i+iloscLini))


        ;;
        "%*")

        echo "${zmienna[$i]}=${wartosc[$i]}" >> /etc/nowatel/config.properties

        iloscLini=${wartosc[$i]}
        j=1

        while [ $j -le $iloscLini ]
        do


            dialog --ascii-lines --title $"Database server" --backtitle $"OpenRDS system configuration" --inputbox $"Enter value for option: ${zmienna[$i+$j]}" 8 60 ${wartosc[$i+$j]} 2> /tmp/Nowatel/map.database.option.temp

            echo "${zmienna[$i+$j]}=`cat /tmp/Nowatel/map.database.option.temp`" >> /etc/nowatel/config.properties





            j=$((j+1))

        done

        i=$((i+iloscLini))



        ;;
        *)
        i=$((i+1))
    esac
done
